Get Doc Contents
curl --request GET \
--url https://api.reportify.cn/v1/docs/{doc_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.reportify.cn/v1/docs/{doc_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.reportify.cn/v1/docs/{doc_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"doc_id": "<string>",
"title": "<string>",
"url": "<string>",
"institution": "<string>",
"author": "<string>",
"published_at": 123,
"ticker": "<string>",
"symbol": "<string>",
"company_name": "<string>",
"logo": "<string>",
"companies": [
{
"name": "<string>",
"logo": "<string>",
"stocks": [
{
"symbol": "<string>",
"market": "<string>",
"code": "<string>"
}
]
}
],
"tags": {},
"metadatas": {},
"report_type": 123,
"channel_id": "<string>",
"channel_name": "<string>",
"file_url": "<string>",
"media_url": "<string>",
"chunks": [
{
"id": "<string>",
"media_url": "<string>",
"content": "<string>",
"summary": "<string>",
"metadata": {}
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}文档列表和内容
Doc Content
Retrieve the full content of a document or a specific part of it
GET
/
v1
/
docs
/
{doc_id}
Get Doc Contents
文档内容
URL:/v1/docs/{doc_id}方法:
GET描述: 获取指定文档的详细内容,包括文档信息及内容块(chunks)。
请求参数
| 参数名 | 类型 | 描述 |
|---|---|---|
| doc_id | str | 文档唯一 ID。 |
响应参数
| 参数名 | 类型 | 描述 |
|---|---|---|
| doc_id | str | 文档唯一 ID。 |
| title | str | 文档标题。 |
| url | str | 文档网页链接。 |
| file_url | str | 文档文件链接。 |
| media_url | str | 媒体文件链接。 |
| institution | str | 发布机构。 |
| author | str | 作者。 |
| published_date | str | 发布时间,格式为 YYYY-MM-DD。 |
| category | str | 文档类别(financials, transcripts, reports, global_research, filings, news, socials, files)。 |
| market | str | 市场区域(cn, hk, us)。 |
| symbol | str | 股票代码。 |
| company_name | str | 公司名称。 |
| logo | str | 公司 Logo 链接。 |
| summary | str | 文档摘要。 |
| chunks | array | 内容块数组,每个块包含以下字段: |
| type | str | 内容类型,可能的值为 text,table,image,formula。 |
| media_url | str | 内容块的媒体文件链接(如果类型为 table,image,formula 时提供图片链接)。 |
| content | str | 内容原始文本(适用于 text 或 table 类型)。 |
| summary | str | 解析内容,适用于 table,image,formula 类型。 |
| tags | dict | 标签字典,包含以下字段: |
| key | str | 标签类型(如 industry, company, person, event)。 |
| value | array | 标签内容数组。 |
| metadatas | dict | 元数据字典,包含以下字段: |
| key | str | 元数据类型(如 periods, entities)。 |
| value | array | 元数据内容数组。 |
请求示例
cURLcurl -X GET https://api.reportify.cn/v1/docs/1046895208953942016 \
-H "Authorization: Bearer 447460****09c9" \
-H "Content-Type: application/json"
import requests
url = "https://api.reportify.cn/v1/docs/1046895208953942016"
headers = {
"Authorization": "Bearer 447460****09c9",
"Content-Type": "application/json"
}
response = requests.get(url, headers=headers)
print(response.json())
响应示例
{
"doc_id": "1046895208953942016",
"title": "AI in Finance Report",
"url": "https://reportify.cn/financials/1046895208953942016",
"file_url": "https://files.reportify.cn/media/production/TSLA5a08ddfbb97bd6486fff7a3875e7fe28_20241024183012.pdf",
"media_url": "https://files.reportify.cn/media/production/s_4728833_9e25b61b62960211e6040eb2b81b352c.mp3",
"institution": "Morgan Stanley",
"author": "Jane Doe",
"published_date": "2023-12-31",
"category": "reports",
"type": "research_report_company",
"market": "us",
"symbol": "AAPL",
"company_name": "Apple Inc.",
"logo": "https://files.reportify.cn/logo/AAPL.svg",
"summary": "This report provides an overview of AI applications in finance...",
"chunks": [
{
"type": "text",
"media_url": "",
"content": "AI in finance is transforming the industry...",
"summary": ""
},
{
"type": "table",
"media_url": "https://files.reportify.cn/media/production/447460783945158/520072899438150/605401659404358/element/4.jpg",
"content": "",
"summary": "Financial data for AI companies in 2023"
}
],
"tags": {
"industry": [
"AI",
"EV"
],
"company": [
"Tesla"
]
},
"metadatas": {
"periods": "Q4 2023",
"entities": [
"Tesla Inc.",
"TSLA"
]
}
}
Authorizations
Enter your Bearer token
Path Parameters
Response
Successful Response
An enumeration.
Available options:
financials, transcripts, reports, news, files, filings, socials, global_research An enumeration.
Available options:
cn, hk, us Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I
